/**@file testFwAccessControl.ctl
  
@brief Test Suite for JCOP Framework Configuration Database Tool
@par Creation Date
		 23/06/2014

*/

#uses "fwConfigurationDB/fwConfigurationDB.ctl"
#uses "fwConfigurationDB/fwConfigurationDB_DeviceConfiguration.ctl"
#uses "fwConfigurationDB/fwConfigurationDB_Recipes.ctl"
#uses "fwConfigurationDB/fwConfigurationDB_Utils.ctl"
#uses "fwConfigurationDB/fwConfigurationDB_DBAccess.ctl"
#uses "fwConfigurationDB/fwConfigurationDB_Setup.ctl"
#uses "fwConfigurationDB/fwConfigurationDB_Hierarchies.ctl"
#uses "fwUnitTestComponentAsserts.ctl"


/**
@brief This routine is optional.
Prepare the appropriate global environment for all of the test cases in this suite.
setupSuite() is called once only, before any of the test cases are called.
*/ 
void testFwConfigurationDB_setupSuite()
{
}

//-------------------------------------------------------

/**
@brief testExampleComponent_setup() ensures a consistent environment exists prior to calling each test case.
This routine is optional. If you declare one here, it should prepare any appropriate environment
that will be required before running each of the test cases in this suite.

*/ 
void testFwConfigurationDB_setup()
{
}

//-------------------------------------------------------

/**
@brief Example of a developer's test routine. 
A test*.ctl file can contain as many test routines as the developer wants.
*/ 
void testAccessControl_testCheckInit()
{
    dyn_string exceptionInfo;
    fwConfigurationDB_checkInit(exceptionInfo);
    assertEmpty(exceptionInfo);
}



//-------------------------------------------------------

/**
@brief This routine is optional. 
Called after each test case routine.
*/ 
void testFwConfigurationDB_teardown()
{
}

//-------------------------------------------------------

/**
@brief This routine is optional. 
Called after all test case routines in this file have been run.
*/ 
void testFwConfigurationDB_teardownSuite()
{
}
